Loading...
Searching...
No Matches
BALL::FragmentDB::NormalizeNamesProcessor Class Reference

`#include <BALL/STRUCTURE/fragmentDB.h>`

Inheritance diagram for BALL::FragmentDB::NormalizeNamesProcessor:

## Public Member Functions

Constructors and Destructors
| NormalizeNamesProcessor ()
| NormalizeNamesProcessor (FragmentDB &db)
virtual | ~NormalizeNamesProcessor ()
Inspectors and Mutators
void | setFragmentDB (FragmentDB &db)
void | setNamingStandard (const String &naming_standard)
const String & | getNamingStandard ()
bool | matchName (String &res_name, String &atom_name, const NameMap &map) const
Public Member Functions inherited from BALL::UnaryProcessor< Fragment >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Processor specific methods

virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Fragment &fragment)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Name normalization processor. This class is used to adopt all names in a molecular system to a given naming standard (usually the PDB standard).

Definition at line 254 of file fragmentDB.h.

## Constructor & Destructor Documentation

## NormalizeNamesProcessor() [1/2]

BALL::FragmentDB::NormalizeNamesProcessor::NormalizeNamesProcessor | ( |  | ) |

Default constructor

## NormalizeNamesProcessor() [2/2]

BALL::FragmentDB::NormalizeNamesProcessor::NormalizeNamesProcessor | ( | FragmentDB & | db | ) |

Constructor

## ~NormalizeNamesProcessor()

virtual BALL::FragmentDB::NormalizeNamesProcessor::~NormalizeNamesProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## finish()

virtual bool BALL::FragmentDB::NormalizeNamesProcessor::finish | ( |  | ) |

virtual

Finish method

Reimplemented from BALL::UnaryProcessor< Fragment >.

## getNamingStandard()

const String & BALL::FragmentDB::NormalizeNamesProcessor::getNamingStandard | ( |  | ) |

Retrieve the current naming standard

## matchName()

bool BALL::FragmentDB::NormalizeNamesProcessor::matchName | ( | String & | res_name,
|  | String & | atom_name,
|  | const NameMap & | map ) const

Try to match a name in one of the maps

## operator()()

virtual Processor::Result BALL::FragmentDB::NormalizeNamesProcessor::operator() | ( | Fragment & | fragment | ) |

virtual

Application method

Reimplemented from BALL::UnaryProcessor< Fragment >.

## setFragmentDB()

void BALL::FragmentDB::NormalizeNamesProcessor::setFragmentDB | ( | FragmentDB & | db | ) |

Bind the processor to a fragment database.

## setNamingStandard()

void BALL::FragmentDB::NormalizeNamesProcessor::setNamingStandard | ( | const String & | naming_standard | ) |

## start()

virtual bool BALL::FragmentDB::NormalizeNamesProcessor::start | ( |  | ) |

virtual

Start method

Reimplemented from BALL::UnaryProcessor< Fragment >.